Bug 239181 - Text spacing from paragraph borders not retained in doc files
Summary: Text spacing from paragraph borders not retained in doc files
Status: VERIFIED FIXED
Alias: None
Product: calligrawords
Classification: Applications
Component: doc (show other bugs)
Version: unspecified
Platform: unspecified All
: NOR wishlist
Target Milestone: ---
Assignee: Matus Uzak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-14 15:28 UTC by Lassi Nieminen
Modified: 2012-10-23 09:07 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
msword 2000 test document to be opened in kword (20.50 KB, application/octet-stream)
2009-09-14 15:28 UTC, Lassi Nieminen
Details
screenshot of the document in kword (212.69 KB, image/x-png)
2009-09-14 15:29 UTC, Lassi Nieminen
Details
screenshot of the document in msword (81.19 KB, image/x-png)
2009-09-14 15:29 UTC, Lassi Nieminen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Faure 2010-05-28 03:08:42 UTC


---- Reported by lassi.ta.nieminen@nokia.com 2009-09-14 16:28:39 +0300 ----

Created an attachment
msword 2000 test document to be opened in kword

SOFTWARE VERSION:
  Kubuntu 9.04
  Koffice (svn version 1021093)
  Test document (MS Word 2000): mw00_paragraph_borders_text_spacing.doc

STEPS LEADING TO THE PROBLEM:
  1. Open the attached document in MS Word 2000.
  2. Open the same document in KOffice.
  3. Observe the space between text and paragraph borders in first page
     of the document.

EXPECTED OUTCOME:
  Kword should be able to retain space between paragraph text and its border.
  as seen in attachment paragraph_borders_text_spacing_msword_2000.PNG

ACTUAL OUTCOME:
  Kword is unable to retain space between paragraph text and its border.
  see attachment paragraph_borders_text_spacing_kword_svn_1021093.png

FREQUENCY:
  Always



---- Additional Comments From lassi.ta.nieminen@nokia.com 2009-09-14 16:29:36 +0300 ----

Created an attachment
screenshot of the document in kword



---- Additional Comments From lassi.ta.nieminen@nokia.com 2009-09-14 16:29:56 +0300 ----

Created an attachment
screenshot of the document in msword



---- Additional Comments From lassi.ta.nieminen@nokia.com 2009-12-04 10:35:46 +0200 ----

Reassigning bugs from Thomas to Lassi



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-02-25 15:40:17 +0200 ----

Changing severity to enhancement



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-03-10 12:53:03 +0200 ----

Moving to Community sub component



--- Bug imported by faure@kde.org 2010-05-28 03:08  ---

This bug was previously known as _bug_ 138853.

Imported an attachment (id=44524)
Imported an attachment (id=44525)
Imported an attachment (id=44526)

Unknown bug field "example" encountered while moving bug
   <example>2010-03-10 12:53:03</example>
Unknown Component Community
   Using default product and component set in Parameters 

Comment 1 Matus Uzak 2012-01-23 19:54:12 UTC
commit	d0ee74e9d8d09488f05a7b60bf64298631b291a3
doc: Added paragraph padding support.

 The following LO/OOo config item must be supported by textlayout in order
 to display files exactly like Lo/OOo/MSOffice does.

 <config:config-item config:name="InvertBorderSpacing" config:type="boolean">true</config:config-item>
Comment 2 swathi 2012-10-23 09:07:16 UTC
Verified in git commit ad0416095c417a8cfa55306ea8959ac0ef4460bb.